Version 1.2 – Prepar3D v4 compatibility

This version adds compatibility with Prepar3D v4. It should automatically detects which version is running and use the correct SimConnect version. Note that the status indicator at the top of the window will always say “Flight Simulator X” even if it’s connected to Prepar3D.

I have been unable to test this version with the Steam Edition, as I’m currently having issues getting that to start up. I’ve decided to release this version anyways for P3D users. If you do run into a problem please let me know, and install the previous version 1.1.6 as it is functionally identical.

Get it from the download page!

If you’re interested in the technical details; it turns out P3D v4 is not compatible with either the original SimConnect.dll, nor the version from the Steam edition, but does work with the FSX Service Pack 2 version.

2 thoughts on “Version 1.2 – Prepar3D v4 compatibility

Leave a Reply

Your email address will not be published. Required fields are marked *